summaryrefslogtreecommitdiffstats
path: root/dltests.sh
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2018-02-26 05:58:46 +0100
committerRemi Collet <remi@remirepo.net>2018-02-26 05:58:46 +0100
commit69c1e6638c37d67c0a15a2f774cca678ee48679f (patch)
tree4f2892aeb7efa5766555142f6f447e607a24b69e /dltests.sh
parentc29ede419f705b7402c9193f7b0c786e79a1dab2 (diff)
v4.4.4 from Fedora
Diffstat (limited to 'dltests.sh')
-rwxr-xr-xdltests.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/dltests.sh b/dltests.sh
new file mode 100755
index 0000000..f27ee02
--- /dev/null
+++ b/dltests.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+# This was borrowed from nodejs-grunt-contrib-concat
+
+tag=v4.4.4
+
+set -e
+
+tmp=$(mktemp -d)
+
+trap cleanup EXIT
+cleanup() {
+ set +e
+ [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
+}
+
+unset CDPATH
+pwd=$(pwd)
+
+pushd "$tmp"
+git clone https://github.com/oscarotero/Gettext.git
+ls
+cd Gettext
+git archive --prefix="tests/" --format=tar ${tag}:tests/ \
+ | bzip2 > "$pwd"/tests-${tag}.tar.bz2
+popd